---
title: llarp::LR_CommitRecord

---

# llarp::LR_CommitRecord





## Public Functions

|                | Name           |
| -------------- | -------------- |
| bool | **[BDecode](Classes/structllarp_1_1LR__CommitRecord.md#function-bdecode)**([llarp_buffer_t](Classes/structllarp__buffer__t.md) * buf) |
| bool | **[BEncode](Classes/structllarp_1_1LR__CommitRecord.md#function-bencode)**([llarp_buffer_t](Classes/structllarp__buffer__t.md) * buf) const |
| bool | **[operator==](Classes/structllarp_1_1LR__CommitRecord.md#function-operator==)**(const [LR_CommitRecord](Classes/structllarp_1_1LR__CommitRecord.md) & other) const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [PubKey](Classes/structllarp_1_1PubKey.md) | **[commkey](Classes/structllarp_1_1LR__CommitRecord.md#variable-commkey)**  |
| [RouterID](Classes/structllarp_1_1RouterID.md) | **[nextHop](Classes/structllarp_1_1LR__CommitRecord.md#variable-nexthop)**  |
| [TunnelNonce](Classes/structllarp_1_1AlignedBuffer.md) | **[tunnelNonce](Classes/structllarp_1_1LR__CommitRecord.md#variable-tunnelnonce)**  |
| [PathID_t](Classes/structllarp_1_1PathID__t.md) | **[txid](Classes/structllarp_1_1LR__CommitRecord.md#variable-txid)**  |
| [PathID_t](Classes/structllarp_1_1PathID__t.md) | **[rxid](Classes/structllarp_1_1LR__CommitRecord.md#variable-rxid)**  |
| std::unique_ptr< [RouterContact](Classes/structllarp_1_1RouterContact.md) > | **[nextRC](Classes/structllarp_1_1LR__CommitRecord.md#variable-nextrc)**  |
| std::unique_ptr< [PoW](Classes/structllarp_1_1PoW.md) > | **[work](Classes/structllarp_1_1LR__CommitRecord.md#variable-work)**  |
| uint64_t | **[version](Classes/structllarp_1_1LR__CommitRecord.md#variable-version)**  |
| llarp_time_t | **[lifetime](Classes/structllarp_1_1LR__CommitRecord.md#variable-lifetime)**  |

## Public Functions Documentation

### function BDecode

```cpp
bool BDecode(
    llarp_buffer_t * buf
)
```


### function BEncode

```cpp
bool BEncode(
    llarp_buffer_t * buf
) const
```


### function operator==

```cpp
bool operator==(
    const LR_CommitRecord & other
) const
```


## Public Attributes Documentation

### variable commkey

```cpp
PubKey commkey;
```


### variable nextHop

```cpp
RouterID nextHop;
```


### variable tunnelNonce

```cpp
TunnelNonce tunnelNonce;
```


### variable txid

```cpp
PathID_t txid;
```


### variable rxid

```cpp
PathID_t rxid;
```


### variable nextRC

```cpp
std::unique_ptr< RouterContact > nextRC;
```


### variable work

```cpp
std::unique_ptr< PoW > work;
```


### variable version

```cpp
uint64_t version = 0;
```


### variable lifetime

```cpp
llarp_time_t lifetime = 0s;
```


-------------------------------

Updated on 2023-02-01 at 20:39:32 +0000